config/routes.rb
Rails.application.routes.draw do
  get 'password_resets/new'
  get 'password_resets/edit'
  scope '(:locale)', locale: /en|vi/ do
    root 'static_pages#home'
    get '/contact', to: 'static_pages#contact'
    get '/signup', to: 'users#new'
    get '/news', to: 'news#index'

    get '/login', to: 'sessions#new'
    post '/login', to: 'sessions#create'
    get '/logout', to: 'sessions#destroy'

    resources :users, only: %i[new create show]
    resources :account_activations, only: :edit
    resources :password_resets, only: %i[new create edit update]
    resources :news
    resources :comments
    resources :categories
    resources :likes
    resources :like_comments
  end
end

app/views/layouts/_footer.html.erb
<footer class="footer">
  <nav>
    <ul>
      <li><%= link_to t("layouts.header.home"), root_path %></li>
      <li><%= link_to t(".contact"), contact_path %></li>
    </ul>
  </nav>
</footer>

app/views/layouts/_header.html.erb
<header class="navbar navbar-fixed-top navbar-inverse">
  <div class="container">
    <%= link_to t(".long_tran_news"), root_path, id: t("layouts.id.logo") %>
    <nav>
      <ul class="nav navbar-nav navbar-right">
        <li><%= link_to t(".home"), root_path %></li>
        <li><%= link_to t(".news"), news_path %></li>
        <li><%= link_to t("layouts.footer.contact"), contact_path %></li>
        <% if logged_in? %>
          <li><%= link_to t(".categories_management"), categories_path %></li>
          <li><%= link_to t(".profile"), current_user %></li>
          <li><%= link_to t(".setting"), '#' %></li>
          <li class="divider"></li>
          <li>
            <%= link_to t(".logout"), logout_path, method: :delete %>
          </li>
        <% else %>
          <li><%= link_to t(".login"), login_path %></li>
        <% end %>
      </ul>
    </nav>
  </div>
</header>

app/views/layouts/_shim.html.erb
<link
  rel="stylesheet"
  href="https://unpkg.com/swiper/swiper-bundle.min.css"
  />
<!--[if lt IE 9]>
<script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/r29/html5.min.js">
</script>
<![endif]-->

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
  <title><%= yield :title %></title>
  <%= csrf_meta_tags %>
  <%= csp_meta_tag %>
  <%= stylesheet_link_tag 'application', media: 'all',
                          'data-turbolinks-track': 'reload' %>
  <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
  <!--[if lt IE 9]>
  <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/r29/html5.min.js"></script>
  <![endif]-->
  <%= render 'layouts/shim' %>
</head>
<body>
<%= render 'layouts/header' %>
<div class="container">
  <% flash.each do |message_type, message| %>
    <div class="alert alert-<%= message_type %>"><%= message %></div>
  <% end %>
  <%= yield %>
  <%= link_to t("layouts.english"), locale: t("layouts.en") %>
  <%= link_to t("layouts.vietnamese"), locale: t("layouts.vi") %>
  <%= render 'layouts/footer' %>
  <%= debug(params) if Rails.env.development? %>
</div>
</body>
</html>